From 690ec0bde38b48e111ca198a33e5c1f5357a40c0 Mon Sep 17 00:00:00 2001
From: Sreekesh Chelluru <chelluru.sreekesh@multicorewareinc.com>
Date: Wed, 19 Feb 2025 10:34:06 +0530
Subject: [PATCH] Fix X265_SEA search not working on arm64 builds

---
 source/common/param.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/source/common/param.cpp b/source/common/param.cpp
index 459833ab3..c4769c019 100755
--- a/source/common/param.cpp
+++ b/source/common/param.cpp
@@ -1950,7 +1950,7 @@ int x265_check_params(x265_param* param)
             CHECK(param->hmeRange[level] < 0 || param->hmeRange[level] >= 32768,
                 "Search Range for HME levels must be between 0 and 32768");
     }
-#if !X86_64
+#if !X86_64 && !X265_ARCH_ARM64
     CHECK(param->searchMethod == X265_SEA && (param->sourceWidth > 840 || param->sourceHeight > 480),
         "SEA motion search does not support resolutions greater than 480p in 32 bit build");
 #endif
-- 
2.47.1.windows.1

